# Authentication

## Get your Access Auth Token

Make sure you have a API Keys by creating an account [here](https://api.akibaone.com/apps/developer/register) - you will need to complete KYB before your account is approved.\
\
Once you get your keys, you can download the OpenAPI Specification [here](https://api.akibaone.com/apps/developer/api) and make some auth calls:&#x20;

<mark style="color:green;">`POST`</mark> `https://`[`api.akibaone.com`](https://api.akibaone.com/)`/authorization/revoke`

<mark style="color:green;">`GET`</mark> `https://`[`api.akibaone.com`](https://api.akibaone.com/)`/authorization/whoami` <br>

**AUTHORIZATION** Bearer Token

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Token |

#### Request Body

| Name                                                 | Type   | Description             |
| ---------------------------------------------------- | ------ | ----------------------- |
| client\_id<mark style="color:red;">\*</mark>         | String | Your CLIENT\_ID         |
| client\_secret<mark style="color:red;">\*</mark>     | String | Your CLIENT\_SECRET     |
| client\_credential<mark style="color:red;">\*</mark> | String | Your CLIENT\_CREDENTIAL |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "access_token":"MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3",
  "token_type":"bearer",
  "expires_in":3600,
  "refresh_token":"IwOGYzYTlmM2YxOTQ5MGE3YmNmMDFkNTVk",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://akiba-digital.gitbook.io/akiba-api-docs/getting-started/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
